<?php

namespace Modules\Cadastros\Services;

use Zeedhi\Framework\DataSource\DataSet;
use Zeedhi\Framework\DTO;
use \Zeedhi\Framework\DB\StoredProcedure\StoredProcedure;
use \Zeedhi\Framework\DB\StoredProcedure\Param;

class Gql00500TipoOcorrenciaService
{
    protected $connection;
    
    public function __construct($entityManager, $environment)
    {
        $this->connection = $entityManager->getConnection();
        $this->environment = $environment;
    }
    
    public function deleteTipoOcorrencia($row)
    {
        
		$param = array(
		    'OLD_CDOCORR'       => $row['OLD_CDOCORR'],
		    'OLD_CDGRPOCOR'     => $row['OLD_CDGRPOCOR']
		);
		
        $query = "DELETE
                FROM
                  OCORRENCIA
                WHERE
                  CDOCORR     = :OLD_CDOCORR
                AND CDGRPOCOR = :OLD_CDGRPOCOR";
        try {
            $std = $this->connection->prepare($query);
            $std->execute($param);
        } catch (Exception $e){
            throw $e;
        }
    }
    
    public function insertTipoOcorrencia($row)
    {
        
		$param = array(
		    'CDOCORR'           => $row['CDOCORR'],
		    'DSOCORR'           => $row['DSOCORR'],
		    'CDTIPRISCO'        => $row['CDTIPRISCO'],
		    'CDGRPOCOR'         => $row['CDGRPOCOR']
		);
		
        $query = "INSERT
                    INTO
                      OCORRENCIA
                      (
                        CDOCORR,
                        DSOCORR,
                        CDTIPRISCO,
                        CDGRPOCOR
                      )
                      VALUES
                      (
                        :CDOCORR,
                        :DSOCORR,
                        :CDTIPRISCO,
                        :CDGRPOCOR
                      )";
        try {
            $std = $this->connection->prepare($query);
            $std->execute($param);
        } catch (Exception $e){
            throw $e;
        }
    }
    
    public function updateTipoOcorrencia($row)
    {
        
		$param = array(
		    'CDOCORR'           => $row['CDOCORR'],
		    'DSOCORR'           => $row['DSOCORR'],
		    'CDTIPRISCO'        => $row['CDTIPRISCO'],
		    'CDGRPOCOR'         => $row['CDGRPOCOR'],
		    'OLD_CDOCORR'       => $row['OLD_CDOCORR'],
		    'OLD_CDGRPOCOR'     => $row['OLD_CDGRPOCOR']
		);
		
        $query = "UPDATE
                  OCORRENCIA
                SET
                  CDOCORR    = :CDOCORR,
                  DSOCORR    = :DSOCORR,
                  CDTIPRISCO = :CDTIPRISCO,
                  CDGRPOCOR  = :CDGRPOCOR
                WHERE
                  CDOCORR     = :OLD_CDOCORR
                AND CDGRPOCOR = :OLD_CDGRPOCOR";
        try {
            $std = $this->connection->prepare($query);
            $std->execute($param);
        } catch (Exception $e){
            throw $e;
        }
    }
    
    
}