/*
 @C:\Web_635\Sql\End_Conv\SQLServer\3967_PEDFUNO_PESOLIQUIDO_PEDIDO.SQL

 Descrio:
 Funo para retornar o peso liquido do pedido

 Parmetros

 @P_CDFILIAL    - Cdigo da filial
 @P_NRPEDIDO    - Nmero do pedido

 RAISERROR('', 16,1);
*/

IF EXISTS (SELECT *
             FROM SYSOBJECTS O, SYSUSERS U
            WHERE O.NAME = 'PESOLIQUIDO_PEDIDO'
              AND TYPE = 'FN'
              AND U.UID = O.UID
              AND U.NAME = USER)

DROP FUNCTION PESOLIQUIDO_PEDIDO
GO

CREATE FUNCTION PESOLIQUIDO_PEDIDO(
   @P_CDFILIAL VARCHAR(4),
   @P_NRPEDIDO VARCHAR(10)) RETURNS NUMERIC(10,5)

AS
BEGIN
   DECLARE @V_VRPLIQVOLPED DOUBLE PRECISION;

   SET @V_VRPLIQVOLPED = 0;

   SELECT @V_VRPLIQVOLPED = SUM( I.QTITEMPED * ISNULL(A.VRPESOLIQUPR,0))
     FROM PRODUTO A,  ITEMPEDIDO I
    WHERE (I.CDPRODUTO = A.CDPRODUTO)
      AND (I.CDFILIAL  = @P_CDFILIAL)
      AND (I.NRPEDIDO  = @P_NRPEDIDO);

   RETURN(@V_VRPLIQVOLPED);
END
GO

-- VERSAO --
EXEC ATUVEROBJ 'PESOLIQUIDO_PEDIDO','6.35.020';
GO
